aboutsummaryrefslogtreecommitdiffstats
path: root/chapter5/binutils.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-03-23 13:17:02 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-03-23 13:17:02 -0500
commit66d4171655e0b93766c82f50ce06521f85b58222 (patch)
tree1b6d1cbcbc169e5cbb4e6ea6698ed91d82d7cc88 /chapter5/binutils.sh
parent9d68d5da4115353816ab4f6b1c7a4f5db43576f9 (diff)
parent887bf450c01c511a3f6d048d3db78e8edfb21e8a (diff)
Merge branch 'master' into chapter7
Diffstat (limited to 'chapter5/binutils.sh')
-rw-r--r--chapter5/binutils.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/chapter5/binutils.sh b/chapter5/binutils.sh
index c77a576..2d9da5b 100644
--- a/chapter5/binutils.sh
+++ b/chapter5/binutils.sh
@@ -1,9 +1,11 @@
+#!/bin/bash
+
mkdir build
-cd build
+cd build || exit 1
-../configure --prefix=${LFS}/tools \
- --with-sysroot=${LFS} \
- --target=${LFS_TGT} \
+../configure --prefix="${LFS}"/tools \
+ --with-sysroot="${LFS}" \
+ --target="${LFS_TGT}" \
--disable-nls \
--disable-werror &&
make &&